<%= render :partial => "header" %>

<table class="list">
    <tr>
 		<th><%=table_header @search, "Category", "Sort by category", "problems.category" %></th>
        <th><%=table_header @search, "Title", "Sort by title", "problems.title" %></th>
        <th><%=table_header @search, "Created_at", "Sort by changed_at", "problems.updated_at" %></th>
    <tr>

    <%  @page.each_index do |i| 
        problem = Problem.find @page[i] %>
      <tr <%= "id='current_record'" if problem.id == @search.record %>
            onmouseover="document.getElementById('current_record').id = null; this.onmouseover=null;"
        class="<%= cycle('odd', 'even')%>"
        onclick="window.location.href='<%= url_for :action => :show, :id => @search.search_id, :record => @search.records_per_page * (@search.page_number - 1) + i%>'"
        title='View Full Record for this problem<%= " mit der ID #{problem.id}" if admin?%>'>
		<td><%= problem.category%></td>
        <td><%= hyphenate(problem.title)%></td>
        <td><%= problem.updated_at.strftime("%d.%m.%Y %H:%M:%S") %></td>
      <tr>
    <% end %>
    
</table>
	
<% if @page.size > 9%>
    <div id="search_footer">
        <%= render :partial => "page_size"%>
        <%= render :partial => "pager"%>
    </div>
<% end %>
